## org.apache.solr.client.solrj.impl
Class XMLResponseParser

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser
          org.apache.solr.client.solrj.impl.XMLResponseParser

    public class XMLResponseParser

extends ResponseParser

Since:
  solr 1.3
Version:
  $Id: XMLResponseParser.java 1075090 2011-02-27 17:20:30Z uschindler $

Nested Class Summary
`protected static class` `XMLResponseParser.KnownType`

Field Summary
`static org.slf4j.Logger` `log`

Constructor Summary
`XMLResponseParser()`

Method Summary
`String` `getWriterType()`
`NamedList<Object>` `processResponse(InputStream in, String encoding)`
`NamedList<Object>` `processResponse(Reader in)`
`protected List<Object>` `readArray(javax.xml.stream.XMLStreamReader parser)`
`protected SolrDocument` `readDocument(javax.xml.stream.XMLStreamReader parser)`
`protected SolrDocumentList` `readDocuments(javax.xml.stream.XMLStreamReader parser)`
`protected NamedList<Object>` `readNamedList(javax.xml.stream.XMLStreamReader parser)`

Methods inherited from class org.apache.solr.client.solrj.ResponseParser
`getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.slf4j.Logger log

Constructor Detail

### XMLResponseParser

    public XMLResponseParser()

Method Detail

### getWriterType

    public String getWriterType()

  Specified by:
    `getWriterType` in class `ResponseParser`

### processResponse

    public NamedList<Object> processResponse(Reader in)

  Specified by:
    `processResponse` in class `ResponseParser`

### processResponse

    public NamedList<Object> processResponse(InputStream in,
                                             String encoding)

  Specified by:
    `processResponse` in class `ResponseParser`

### readNamedList

    protected NamedList<Object> readNamedList(javax.xml.stream.XMLStreamReader parser)
                                       throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### readArray

    protected List<Object> readArray(javax.xml.stream.XMLStreamReader parser)
                              throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### readDocuments

    protected SolrDocumentList readDocuments(javax.xml.stream.XMLStreamReader parser)
                                      throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### readDocument

    protected SolrDocument readDocument(javax.xml.stream.XMLStreamReader parser)
                                 throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

Copyright © 2011 Apache Software Foundation. All Rights Reserved.